export function StatusTrackingController(camera: any, renderController: any): void;
export class StatusTrackingController {
    constructor(camera: any, renderController: any);
    camera: any;
    renderController: any;
    cameraUndo: {
        pos: any;
        qua: any;
    }[];
    cameraRedo: any[];
    sectionUndo: any[];
    sectionRedo: any[];
    hiddenUndo: {
        hideNode: Set<any>;
        hideGeo: Set<any>;
    }[];
    hiddenRedo: any[];
    statesUndo: any[];
    statesRedo: any[];
    onStatusChange(types: any): void;
    onUndo(): void;
    onRedo(): void;
    setCamera(camera: any): void;
    setHideObject(hideObject: any): void;
}
